/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package actions;

import java.util.ArrayList;
import javabeans.LlamadaBean;
import javax.servlet.ServletContext;
import modelo.GestionLlamadas;
import org.apache.struts2.util.ServletContextAware;


public class Listar implements ServletContextAware{
    private int telefono;
    private ArrayList<LlamadaBean> llamadas;
    ServletContext context;
    public ArrayList<LlamadaBean> getLlamadas() {
        return llamadas;
    }
    public void setLlamadas(ArrayList<LlamadaBean> llamadas) {
        this.llamadas = llamadas;
    }
    public int getTelefono() {
        return telefono;
    }
    public void setTelefono(int telefono) {
        this.telefono = telefono;
    }
    public String execute() throws Exception {
      String driver=context.getInitParameter("driver");
      String cadenaCon=context.getInitParameter("cadenaCon");
      GestionLlamadas gl=new GestionLlamadas(driver,cadenaCon);
      llamadas=gl.getTodasLlamadasTelefono(telefono);
      return "llamadas";
    }
    public void setServletContext(ServletContext sc) {
        this.context=sc;
    }
}
